<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8">
	<title>CSS Text: 'hyphens: auto' with a valid 'lang' attribute specification</title>
	<link rel="author" title="Gérard Talbot" href="http://www.gtalbot.org/BrowserBugsSection/css21testsuite/">
	<link rel="alternate" href="https://wpt.live/css/css-text/hyphens/hyphens-auto-010.html" />
	<link rel="help" href="https://www.w3.org/TR/css-text-3/#hyphenation">
	<link rel="match" href="reference/hyphens-auto-010M-ref.html">
	<link rel="match" href="reference/hyphens-auto-010H-ref.html">
	<meta content="When 'hyphens' is set to 'auto' and when 'lang' attribute is also set to a valid value, then words may be broken at hyphenation opportunities determined automatically by an hyphenation resource appropriate to the language of the text involved.">
	<style>
		div {
			border: black solid 2px;
			font-family: monospace;
			font-size: 32px;
			hyphens: auto;
			width: 6ch;
		}
	</style>
</head>
<body lang="en">
<div>regulation implementation now</div>
</body>
</html>
